XSLDBG(1)

NAME
xsldbg - Uma ferramenta da linha de comando para depurar arquivos XSLT

SYNOPSIS

xsldbg [--shell] [--cd <PASTA>] [--param <NOME>:<VALOR>] [--lang <LÍNGUA>] [--output <ARQUIVO>] [--version] [--verbose] [--timing] [--repeat] [--debug] [--valid] [--out] [--maxdepth val] [--html] [--docbook] [--net] [--catalogs] [--xinclude] [--profile] [--gdb] [--autoencode] [--utf8input] [--preferhtml] [--stdout] [--autorestart] [+XSLSource] [+XMLData]

DESCRIçãO

O xsldbg é uma ferramenta que procura ajudar a compreender as folhas de estilo. O que o torna diferente em relação aos outros depuradores de folhas de estilo é a capacidade de procurar por itens de interesse e de rastrear a execução da folha de estilo.

O xsldbg é uma ferramenta baseada em texto para depurar 'stylesheets' ou folhas de estilo (na linguagem eXtensible Stylesheet Language) e tem comandos semelhantes ao depurador 'gdb' do Unix/Linux. Ele tem três modos importantes de execução das 'stylesheets'.

•   Executar a 'stylesheet' por completo

•   Saltar para a próxima instrução de XSL

•   Continuar até ao próximo ponto de parada ou reiniciar a 'stylesheet'

OPçõES
Opções do aplicativo

Nota: Para desativar uma opção, acrescente um 'no' antes do nome da opção, como por exemplo 'nonet'

Nota: As opções marcadas com um '*' estão ativas por padrão

--shell
    Inicia uma linha de comando. Uma vez iniciada, use a ajuda do xsldbg para obter alguma ajuda em tempo de execução.

--cd <LOCALIZAÇÃO>
    Local para onde mudar antes de carregar os arquivos. Veja também a documentação do comando 'cd'

--param <NOME>:<VALOR>
    Adiciona um parâmetro chamado <NOME> e com valor <VALOR> ao ambiente da XSL. Veja também a documentação do comando 'addparam' Nota: Um '=' poderá ser usado como um separador entre nome e valor, em vez do ':'

--lang <LÍNGUA>
    Usar o código da língua do ISO 639 indicado; por exemplo 'pt'

--output <ARQUIVO>
    Salva para um determinado arquivo. Veja a documentação do comando 'output'

--version
    Mostrar a versão da 'libxml' e da 'libxslt' usadas

--verbose
    Mostrar registros do que está ocorrendo

--timing
    Mostrar o tempo usado

--repeat
    Executa a transformação 20 vezes; se o '--repeat' for indicado duas vezes, então executa a transformação 100 vezes

--debug
    Devolve a árvore do resultado, no caso de a 'libxml' ter esse suporte ativo

--valid*
    Ativa a fase de leitura do DTD; por padrão, a opção está ativa

--out*
    Ativa a apresentação do resultado; por padrão, a opção está ativa

--maxdepth val
    Aumentar a profundidade máxima

--html
    Os documentos de entrada são arquivos HTML; deve tratá-los como tal, desde que a 'libxml' tenha esse suporte ativo

--docbook
    O documento de entrada é um DocBook em SGML, caso a 'libxml' tenha esse suporte ativo

--net*
    Desativar a obtenção dos DTDs ou das entidades da rede; por padrão, a opção está ativa

--catalogs
    Usar os catálogos do $SGML_CATALOG_FILES, caso a 'libxml' tenha esse suporte ativo

--xinclude*
    Ativa o processamento do XInclude na entrada do documento, caso a 'libxml' tenha esse suporte ativo; por padrão, a opção está ativa

--profile
    Imprimir as informações de análise

--gdb*
    Roda o modo de compatibilidade com o 'gdb' e imprime mais dados; por padrão, esta opção está ativa

--autoencode*
    Detectar e usar as codificações da folha de estilo

--utf8input
    Trata a entrada da linha de comando como UTF-8 codificado

--preferhtml
    Usar o resultado em HTML ao gerar os relatórios de procura

--stdout
    Imprimir todas as mensagens de erro no 'stdout', embora normalmente estas vão para o 'stderr'

--autorestart
    Ativa o reinício da execução quando o passo de processamento atual terminar

+XSLSource
    O arquivo de XSL a executar (opcional)

+XMLData
    Os dados em XML a transformar (opcional se a XSLSource for usada)

AUTORES

O xsldbg é desenvolvido e mantido de momento por Keith Isdale <keith@kdewebdev.org>

AUTHOR
Keith Isdale.